module Main where

import BBW.API
import System.Environment
import qualified Data.Text.IO as TIO
import Text.Pandoc
import Servant.Client

{--
P,Pu:/api/processHeaderDocument
-> xml
input req PDF File to be processed
consolidateHeader 0 || 1


P,Pu:/api/processFulltextDocument
->xml
input req PDF File to be processed
consolidateHeader 0 || 1
consolidateCitations 0 || 1
teiCoordinates | list of element name for which coordinates in the PDF document have to be added.

P,Pu:/api/processReferences
->xml
input req PDF File to be processed
consolidateCitations 0 || 1

P-}

toPAST :: Either ServantError TEI -> IO ()
toPAST (Right (TEI x)) = do
  result <- runIO $ do
    readMarkdown def x
  rst <- handleError result
  print rst
toPAST (Left err) = print err

main :: IO ()
main = do
  [filePath] <- getArgs
  res <- queries filePath
  toPAST res
